var CategoryMenu=new Array();
function hidemenu(depth){
	var i=0;
	if(depth){
		if (depth>0){
		i=depth;
		}
	}
	while(CategoryMenu[i]!=null && CategoryMenu[i]!=''){
			if (CategoryMenu[i].style.display=='block'){
			    CategoryMenu[i].style.display='none';
		    }
			CategoryMenu[i]='';
			i++;
	}
}
function getsubmenu(menu){
	for(var i=0;i<menu.childNodes.length;i++){
		if(menu.childNodes[i].nodeName.toLowerCase()=="div"){
			var obj=menu.childNodes[i];
			break;
		}
	}
	return obj;
}
function showmenu(pobj,depth){
	var obj=getsubmenu(pobj);
	if (obj){
		if (CategoryMenu[depth] && CategoryMenu[depth]!=''){
		if (CategoryMenu[depth].style.display=='block' || CategoryMenu[depth].style.display==''){
			CategoryMenu[depth].style.display='none';
		}
		CategoryMenu[depth]='';
		}
		if (depth >0){
			if (obj.parentNode.offsetWidth>0){
			obj.style.left= obj.parentNode.offsetWidth+'px';
			}else{
			obj.style.left='0px';
			}
			obj.style.top='0px';
			}
			obj.style.display ='block';
			CategoryMenu[depth]=obj;
		}
	}
document.onclick=hidemenu;